summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-02-07 15:14:08 +0100
committerMichał Górny <mgorny@gentoo.org>2020-02-09 17:22:08 +0100
commit05565df1c7db9a8fe2fa9a7110ff4d70cf56ab63 (patch)
tree9d9b667c935bd938c4c4a9ecf556f6f274833eca /games-util
parentgames-strategy/lightyears: Switch to PYTHON_MULTI_USEDEP API (diff)
downloadgentoo-05565df1c7db9a8fe2fa9a7110ff4d70cf56ab63.tar.gz
gentoo-05565df1c7db9a8fe2fa9a7110ff4d70cf56ab63.tar.bz2
gentoo-05565df1c7db9a8fe2fa9a7110ff4d70cf56ab63.zip
games-util/pyfa: Switch to PYTHON_MULTI_USEDEP API
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'games-util')
-rw-r--r--games-util/pyfa/pyfa-2.14.1.ebuild34
-rw-r--r--games-util/pyfa/pyfa-2.15.1-r1.ebuild (renamed from games-util/pyfa/pyfa-2.15.1.ebuild)32
-rw-r--r--games-util/pyfa/pyfa-9999.ebuild32
3 files changed, 55 insertions, 43 deletions
diff --git a/games-util/pyfa/pyfa-2.14.1.ebuild b/games-util/pyfa/pyfa-2.14.1.ebuild
index e3c4bc18650..51e160ed66c 100644
--- a/games-util/pyfa/pyfa-2.14.1.ebuild
+++ b/games-util/pyfa/pyfa-2.14.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
@@ -25,21 +25,25 @@ REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RESTRICT="mirror bindist"
DEPEND="
- >=dev-python/cryptography-2.3[${PYTHON_USEDEP}]
- >=dev-python/logbook-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
- >=dev-python/sqlalchemy-1.3.0[${PYTHON_USEDEP}]
- >=dev-python/wxpython-4.0.4[webkit,${PYTHON_USEDEP}]"
+ $(python_gen_cond_dep '
+ >=dev-python/cryptography-2.3[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/logbook-1.0.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/sqlalchemy-1.3.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/wxpython-4.0.4[webkit,${PYTHON_MULTI_USEDEP}]
+ ')"
RDEPEND="${DEPEND}
- >=dev-python/beautifulsoup-4.6.0[${PYTHON_USEDEP}]
- >=dev-python/markdown2-2.3.0[${PYTHON_USEDEP}]
- >=dev-python/packaging-16.8[${PYTHON_USEDEP}]
- dev-python/python-dateutil[${PYTHON_USEDEP}]
- >=dev-python/requests-2.0.0[${PYTHON_USEDEP}]
- >=dev-python/roman-2.0.0[${PYTHON_USEDEP}]
- graph? (
- >=dev-python/matplotlib-2.0.0[wxwidgets,${PYTHON_USEDEP}]
- dev-python/numpy[${PYTHON_USEDEP}] )
+ $(python_gen_cond_dep '
+ >=dev-python/beautifulsoup-4.6.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/markdown2-2.3.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/packaging-16.8[${PYTHON_MULTI_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/requests-2.0.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/roman-2.0.0[${PYTHON_MULTI_USEDEP}]
+ graph? (
+ >=dev-python/matplotlib-2.0.0[wxwidgets,${PYTHON_MULTI_USEDEP}]
+ dev-python/numpy[${PYTHON_MULTI_USEDEP}] )
+ ')
${PYTHON_DEPS}"
BDEPEND="app-arch/zip"
diff --git a/games-util/pyfa/pyfa-2.15.1.ebuild b/games-util/pyfa/pyfa-2.15.1-r1.ebuild
index 68be8d9f02c..5c6b262d499 100644
--- a/games-util/pyfa/pyfa-2.15.1.ebuild
+++ b/games-util/pyfa/pyfa-2.15.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
@@ -25,21 +25,25 @@ REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RESTRICT="mirror bindist"
DEPEND="
- >=dev-python/cryptography-2.3[${PYTHON_USEDEP}]
- >=dev-python/logbook-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
- >=dev-python/sqlalchemy-1.3.0[${PYTHON_USEDEP}]
- >=dev-python/wxpython-4.0.4[webkit,${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/cryptography-2.3[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/logbook-1.0.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/sqlalchemy-1.3.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/wxpython-4.0.4[webkit,${PYTHON_MULTI_USEDEP}]
+ ')
${PYTHON_DEPS}"
RDEPEND="${DEPEND}
- >=dev-python/beautifulsoup-4.6.0[${PYTHON_USEDEP}]
- >=dev-python/markdown2-2.3.0[${PYTHON_USEDEP}]
- >=dev-python/packaging-16.8[${PYTHON_USEDEP}]
- dev-python/python-dateutil[${PYTHON_USEDEP}]
- >=dev-python/requests-2.0.0[${PYTHON_USEDEP}]
- >=dev-python/roman-2.0.0[${PYTHON_USEDEP}]
- >=dev-python/matplotlib-2.0.0[wxwidgets,${PYTHON_USEDEP}]
- dev-python/numpy[${PYTHON_USEDEP}]"
+ $(python_gen_cond_dep '
+ >=dev-python/beautifulsoup-4.6.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/markdown2-2.3.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/packaging-16.8[${PYTHON_MULTI_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/requests-2.0.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/roman-2.0.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/matplotlib-2.0.0[wxwidgets,${PYTHON_MULTI_USEDEP}]
+ dev-python/numpy[${PYTHON_MULTI_USEDEP}]
+ ')"
BDEPEND="app-arch/zip"
PATCHES=(
diff --git a/games-util/pyfa/pyfa-9999.ebuild b/games-util/pyfa/pyfa-9999.ebuild
index 68be8d9f02c..5c6b262d499 100644
--- a/games-util/pyfa/pyfa-9999.ebuild
+++ b/games-util/pyfa/pyfa-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
@@ -25,21 +25,25 @@ REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RESTRICT="mirror bindist"
DEPEND="
- >=dev-python/cryptography-2.3[${PYTHON_USEDEP}]
- >=dev-python/logbook-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
- >=dev-python/sqlalchemy-1.3.0[${PYTHON_USEDEP}]
- >=dev-python/wxpython-4.0.4[webkit,${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/cryptography-2.3[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/logbook-1.0.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/sqlalchemy-1.3.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/wxpython-4.0.4[webkit,${PYTHON_MULTI_USEDEP}]
+ ')
${PYTHON_DEPS}"
RDEPEND="${DEPEND}
- >=dev-python/beautifulsoup-4.6.0[${PYTHON_USEDEP}]
- >=dev-python/markdown2-2.3.0[${PYTHON_USEDEP}]
- >=dev-python/packaging-16.8[${PYTHON_USEDEP}]
- dev-python/python-dateutil[${PYTHON_USEDEP}]
- >=dev-python/requests-2.0.0[${PYTHON_USEDEP}]
- >=dev-python/roman-2.0.0[${PYTHON_USEDEP}]
- >=dev-python/matplotlib-2.0.0[wxwidgets,${PYTHON_USEDEP}]
- dev-python/numpy[${PYTHON_USEDEP}]"
+ $(python_gen_cond_dep '
+ >=dev-python/beautifulsoup-4.6.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/markdown2-2.3.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/packaging-16.8[${PYTHON_MULTI_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/requests-2.0.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/roman-2.0.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/matplotlib-2.0.0[wxwidgets,${PYTHON_MULTI_USEDEP}]
+ dev-python/numpy[${PYTHON_MULTI_USEDEP}]
+ ')"
BDEPEND="app-arch/zip"
PATCHES=(